> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mail



## OpenAPI

````yaml https://communication-ms.supergasbras.app/swagger/v1/swagger.json post /mail
openapi: 3.0.1
info:
  title: CTech.Communication.Api
  version: '1.0'
servers: []
security: []
paths:
  /mail:
    post:
      tags:
        - Communication
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MailRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/MailRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/MailRequest'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MailRequest:
      required:
        - body
        - subject
        - to
      type: object
      properties:
        to:
          minLength: 1
          type: string
        subject:
          minLength: 1
          type: string
        body:
          minLength: 1
          type: string
        isHtml:
          type: boolean
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````